VERSION 5.00
Begin VB.Form frmMsgBoxEx 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "MsgBox Function Extended"
   ClientHeight    =   1380
   ClientLeft      =   735
   ClientTop       =   735
   ClientWidth     =   4035
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   92
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   269
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdMsgBoxPause 
      Caption         =   "MsgBoxPause"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   405
      Left            =   2160
      TabIndex        =   1
      Top             =   480
      Width           =   1560
   End
   Begin VB.CommandButton cmdMsgBoxMove 
      Caption         =   "MsgBoxMove"
      BeginProperty Font 
         Name            =   "Verdana"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   405
      Left            =   360
      TabIndex        =   0
      Top             =   510
      Width           =   1560
   End
End
Attribute VB_Name = "frmMsgBoxEx"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' MsgBoxEx.frm
'
' By Herman Liu
'
' This code is to provide two extended MsgBox functions: MsgBoxMove and MsgBoxPause.
'
' (1) MsgBoxMove function allows you to display your message box at a location specified
'     by you:
'     Syntax: MsgBoxMove(hwnd, Message, Title, Buttons, X, Y)
'
' (2) MsgBoxPause function allows you to have the message box automatically disappear
'     after pausing for a number of seconds specified by you.
'     Syntax: MsgboxPause(hwnd, Message, Title, Buttons, Seconds)
'
' Same as Msgbox function, each is capable of returning the value of the button clicked.

'
' Modified By The VB Guru http://kandkconsulting.tripod.com/VB/VBHome.htm
' This modification will allow for the MsgBoxEx to be used as an ActiveX DLL
' 10/25/2000

Option Explicit

Dim mResult
Private MyMsgBox As MsgBoxEx.MsgBox




Private Sub CmdMsgBoxMove_Click()
    Dim x, y
    x = 100                           ' We display msgbox at this location
    y = 50
    mResult = MyMsgBox.MsgBoxMove(hWnd, "Is this message displayed at a location " & vbCrLf & _
        "specified by you?", "Msg Box Move", vbYesNo, x, y)
End Sub


Private Sub CmdMsgBoxPause_Click()
    Dim s As Integer
    s = 3                             ' We pause for this number of seconds
    mResult = MyMsgBox.MsgBoxPause(hWnd, "This message will automatically disappear, after pausing" & vbCrLf & _
        "a number of seconds specified by you.", "Msg Box Pause", vbExclamation, s)
End Sub

Private Sub Form_Load()
    Set MyMsgBox = New MsgBoxEx.MsgBox
End Sub
